catalog:
  description: opensource://taverna.md
  image:
  - catalog://Taverna_Workbench.png
  title: Taverna Workbench 2.5 Command Line

templates:
- freestyle
- base

variables:
  description: Downloads and deploys the Taverna Workbench Command Line Edition
  keywords:
  - workflow
  - workbench
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  branches:
  - 2.5.0

  extra-provides:
  - nature: freestyle
    target: taverna-cmd

  shell.command: |
    #!/bin/bash
    rm -rf taverna-commandline*
    wget https://bitbucket.org/taverna/taverna-commandline-product/downloads/taverna-commandline-core-${version-name}-standalone.zip
    unzip taverna-commandline-core-${version-name}-standalone.zip
    mkdir -p ${toolkit.dir}/bin
    cp -rf taverna-commandline-core-${version-name} ${toolkit.dir}/bin
